SSU(1)

NAME
ssu - high-performance phylogenetic diversity calculations

DESCRIPTION
usage: ssu -i <biom> -o <out.dm> -m [METHOD] -t <newick> [-n threads] [-a alpha] [--vaw]

    [--mode [MODE]] [--start starting-stripe] [--stop stopping-stripe] [--partial-pattern <glob>] [--n-partials number_of_partitions] [--report-bare]

-i  The input BIOM table.

-t  The input phylogeny in newick.

-m  The method, [unweighted | weighted_normalized | weighted_unnormalized | generalized].

-o  The output distance matrix.

-n  [OPTIONAL] The number of threads, default is 1.

-a  [OPTIONAL] Generalized UniFrac alpha, default is 1.

-f  [OPTIONAL] Bypass tips, reduces compute by about 50%.

--vaw
    [OPTIONAL] Variance adjusted, default is to not adjust for variance.

--mode
    [OPTIONAL] Mode of operation: one-off : [DEFAULT] compute UniFrac. partial : Compute UniFrac over a subset of stripes. partial-report : Start and stop suggestions for partial compute. merge-partial : Merge partial UniFrac results.

--start
    [OPTIONAL] If mode==partial, the starting stripe.

--stop
    [OPTIONAL] If mode==partial, the stopping stripe.

--partial-pattern
    [OPTIONAL] If mode==merge-partial, a glob pattern for partial outputs to merge.

--n-partials
    [OPTIONAL] If mode==partial-report, the number of partitions to compute.

--report-bare
    [OPTIONAL] If mode==partial-report, produce barebones output.

  Citations:

    For UniFrac, please see:

    McDonald et al. Nature Methods 2018; DOI: 10.1038/s41592-018-0187-8 Lozupone and Knight Appl Environ Microbiol 2005; DOI: 10.1128/AEM.71.12.8228-8235.2005 Lozupone et al. Appl Environ Microbiol 2007; DOI: 10.1128/AEM.01996-06 Hamady et al. ISME 2010; DOI: 10.1038/ismej.2009.97 Lozupone et al. ISME 2011; DOI: 10.1038/ismej.2010.133

    For Generalized UniFrac, please see:

    Chen et al. Bioinformatics 2012; DOI: 10.1093/bioinformatics/bts342

    For Variance Adjusted UniFrac, please see:

    Chang et al. BMC Bioinformatics 2011; DOI: 10.1186/1471-2105-12-118

Runtime progress can be obtained by issuing a SIGUSR1 signal. If running with multiple threads, this signal will only be honored if issued to the master PID. The report will yield the following information:

tid:<thread ID> start:<starting stripe> stop:<stopping stripe> k:<postorder node index> total:<number of nodes>

The proportion of the tree that has been evaluated can be determined from (k / total).

AUTHOR
 This manpage was written by Nilesh Patra for the Debian distribution and
 can be used for any other usage of the program.